import request from '@/utils/request'

/**
 * 商家管理视频列表
 * @param query
 * @returns {*}
 */
export function getVideoList(query) {
    return request({
        url: '/system/video/list',
        method: 'get',
        params: query
    })
}


/**
 *
 * @param {查询服务人员列表} data
 * @returns
 */
export function getServerUserList(data) {
    return request({
        url: '/system/video/serverUserList',
        method: 'post',
        data
    })
}

// 新增视频
export function saveVideo(data) {
    return request({
        url: '/system/video/addVideo',
        method: 'post',
        data: data
    })
}

/**
 * 删除视频
 * remove
 */
export function remove(videoId) {
    return request({
      url: '/system/video/' + videoId,
      method: 'delete'
    })
  }

  /**
   * 更新视频数据
   * editVideo
   */
export function editVideo(data) {
    return request({
      url: '/system/video',
      method: 'put',
      data: data
    })
  }

